Quassel IRC - Bug #305

Added socks support
08/31/2008 12:35 AM - sph

Status: Resolved Start date:

Priority: Normal Due date:

Assignee: EgS % Done: 100%
Category: Quassel Core Estimated time: 0.00 hour
Target version: 0.4.0

Version: 0.3.1+ 0S: Any
Description

Patch attached.
It's done using the SOCKS_SERVER environment variable (which is being used by a lot of other tools as well).

It's not really a permanent solution as there was a discussion about setting a global socks setting which can be overridden per
network. But at least this works for now until there's a proper way :)

(I need socks - | always patched it before compiling)

History

#1 - 12/28/2008 01:51 AM - Sputnick
- Priority changed from High to Normal

#2 - 01/13/2009 08:31 PM - EgS

- Status changed from New to Resolved
- Assignee set to EgS

- Target version set to 0.4.0

- % Done changed from 0 to 100

- Version setto 0.3.1+

Fixed in current git:
http://git.quassel-irc.org/?p

Files

coresocks.diff 1.57 KB 08/30/2008 admin
